name: py38
channels:
  - https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free/ # Anocanda清华镜像
  - defaults
  - https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge/
dependencies:
  - python=3.8
  - ipython
  - pip
  - pip:
      - cmake
      - opencv-python
      - cython
      - paddleocr
      - paddlehub
      - fastapi
      - uvicorn
      - jinja2
      - aiofiles
      - python-multipart
      - requests
      - cpca
      - gunicorn
      - -i https://mirror.baidu.com/pypi/simple
      - paddlepaddle  # gpu==2.3.0.post110
      - -f https://www.paddlepaddle.org.cn/whl/linux/mkl/avx/stable.html
prefix: /opt/conda/envs/py38
